> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cleartalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Insert or update user webhook URL



## OpenAPI

````yaml post /webhook/insert-webhook
openapi: 3.0.0
info:
  title: ClearTalk API
  description: The ClearTalk API Documentation
  version: '1.0'
  contact:
    name: Developer Support
    email: devsupport@cleartalk.ai
servers:
  - url: https://api.cleartalk.ai
    description: ClearTalk AI API Server
security: []
tags: []
paths:
  /webhook/insert-webhook:
    post:
      tags:
        - Webhook
      summary: Insert or update user webhook URL
      operationId: WebhookController_insertWebhook
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/InsertWebhookDto'
      responses:
        '200':
          description: Webhook successfully updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Webhook successfully updated
        '400':
          description: User not found
        '500':
          description: Internal server error
      security:
        - apiKey: []
components:
  schemas:
    InsertWebhookDto:
      type: object
      properties:
        webhook:
          type: string
          description: The webhook URL to set for the user
          example: https://example.com/webhook
      required:
        - webhook
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key for authentication

````